# Quaternion

Quaternion library

# Usage
```
(import "quaternion")
```

# Specification

- (quaternion r i j k) make instance of quaternion
- (qprint x) print quaternion instance
- (cabs x) absolute value of quaternion
- (cadd x y) addition of quaternion
- (csub x y) subtraction of quaternion
- (cmul x y) multiplication of quaternion
- (cdiv c y) devident of quaternion
- (inverse x) inverse of quaternion
- (conjugate x) conjugate of quaternion
- (qeqlp x y) if quaternion x y is equal return T, else NIL

